Subject: pounce now available as a service in Guix System

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 09 May 2025 12:08:09 +0900

Hello!

I thought I'd share that service for pounce has been recently added to
Guix System [0], [1], which supports declarative operating system
configuration using Scheme APIs.

I've been using it for the last couple of weeks and it's been great!  My
Guix System configuration snippet currently looks like:

--8<---------------cut here---------------start------------->8---
    ;; IRC bouncers for Libera.Chat and OFTC servers.
    (service pounce-service-type
             (pounce-configuration
              (host "irc.libera.chat")
              (local-host "10.10.10.1") ;wg1 interface
              (client-cert "/etc/pounce/libera.pem")
              (nick "apteryx")
              (join (list "#gnu" "#guix" "#guile" "#hurd"))))
    (service pounce-service-type
             (pounce-configuration
              (shepherd-provision '(pounce-oftc))
              (local-port 6698)
              (log-file "/var/log/pounce-oftc.log")
              (local-host "10.10.10.1") ;wg1 interface
              (host "irc.oftc.net")
              (client-cert "/etc/pounce/oftc.pem")
              (nick "apteryx")
              (join (list "#gcc" "#glibc"))))
--8<---------------cut here---------------end--------------->8---

I'm exposing the pounce ports via a Wireguard interface, to which I
connect from home.

Thanks you for pounce!

[0]  https://codeberg.org/guix/guix-mirror/commit/aab89b3d934b8b17956d9402d35586c944bddd78

-- 
Thanks,
Maxim